| PUT | /RestApi/comments-api/comments |
|---|
import java.math.*;
import java.util.*;
import net.servicestack.client.*;
public class dtos
{
public static class CommentUpdateRequest
{
public String Key = null;
public String Message = null;
public String Status = null;
public String Name = null;
public String Email = null;
public String CustomData = null;
public BigDecimal Rating = null;
public String getKey() { return Key; }
public CommentUpdateRequest setKey(String value) { this.Key = value; return this; }
public String getMessage() { return Message; }
public CommentUpdateRequest setMessage(String value) { this.Message = value; return this; }
public String getStatus() { return Status; }
public CommentUpdateRequest setStatus(String value) { this.Status = value; return this; }
public String getName() { return Name; }
public CommentUpdateRequest setName(String value) { this.Name = value; return this; }
public String getEmail() { return Email; }
public CommentUpdateRequest setEmail(String value) { this.Email = value; return this; }
public String getCustomData() { return CustomData; }
public CommentUpdateRequest setCustomData(String value) { this.CustomData = value; return this; }
public BigDecimal getRating() { return Rating; }
public CommentUpdateRequest setRating(BigDecimal value) { this.Rating = value; return this; }
}
public static class CommentResponse
{
public String Key = null;
public String Name = null;
public String Message = null;
public Date DateCreated = null;
public String ProfilePictureUrl = null;
public String ProfilePictureThumbnailUrl = null;
public String Status = null;
public String Email = null;
public String ThreadKey = null;
public String AuthorIpAddress = null;
public String CustomData = null;
public BigDecimal Rating = null;
public String getKey() { return Key; }
public CommentResponse setKey(String value) { this.Key = value; return this; }
public String getName() { return Name; }
public CommentResponse setName(String value) { this.Name = value; return this; }
public String getMessage() { return Message; }
public CommentResponse setMessage(String value) { this.Message = value; return this; }
public Date getDateCreated() { return DateCreated; }
public CommentResponse setDateCreated(Date value) { this.DateCreated = value; return this; }
public String getProfilePictureUrl() { return ProfilePictureUrl; }
public CommentResponse setProfilePictureUrl(String value) { this.ProfilePictureUrl = value; return this; }
public String getProfilePictureThumbnailUrl() { return ProfilePictureThumbnailUrl; }
public CommentResponse setProfilePictureThumbnailUrl(String value) { this.ProfilePictureThumbnailUrl = value; return this; }
public String getStatus() { return Status; }
public CommentResponse setStatus(String value) { this.Status = value; return this; }
public String getEmail() { return Email; }
public CommentResponse setEmail(String value) { this.Email = value; return this; }
public String getThreadKey() { return ThreadKey; }
public CommentResponse setThreadKey(String value) { this.ThreadKey = value; return this; }
public String getAuthorIpAddress() { return AuthorIpAddress; }
public CommentResponse setAuthorIpAddress(String value) { this.AuthorIpAddress = value; return this; }
public String getCustomData() { return CustomData; }
public CommentResponse setCustomData(String value) { this.CustomData = value; return this; }
public BigDecimal getRating() { return Rating; }
public CommentResponse setRating(BigDecimal value) { this.Rating = value; return this; }
}
}
Java CommentUpdateRequest DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
PUT /RestApi/comments-api/comments HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
Key: String,
Message: String,
Status: String,
Name: String,
Email: String,
CustomData: String,
Rating: 0
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Key: String,
Name: String,
Message: String,
DateCreated: 0001-01-01,
ProfilePictureUrl: String,
ProfilePictureThumbnailUrl: String,
Status: String,
Email: String,
ThreadKey: String,
AuthorIpAddress: String,
CustomData: String,
Rating: 0
}